## Package Win32::GUI::DateTime

Back to the Packages

- Constructor

  - new Win32::GUI::DateTime(PARENT, %OPTIONS)

- Methods

  - Format(FORMAT)

  - GetDate()

  - GetDateTime()

  - GetTime()

  - IsNone()

  - SetDate(DAY, MONTH, YEAR)

  - SetDateTime(YEAR,MON, DAY, HOUR, MIN, SEC, [MSEC=0])

  - SetNone(handle)

  - SetTime(HOUR, MIN, SEC, [MSEC=0])

### Constructor

new Win32::GUI::DateTime(PARENT, %OPTIONS)

  Creates a new DateTime object; can also be called as PARENT->AddDateTime(%OPTIONS). Class specific `%OPTIONS` are:

        -align  => 'right'/'left' (default 'left')
          The drop-down month calendar alignement.
        -format => 'shortdate', 'longdate', 'time'
          Control format type (Use local format date/time).
        -shownone => 0/1 (default 0)
          Allow no datetime (add a prefix checkbox).
        -updown   => 0/1 (default 0 for date, 1 for time format)
          Use updown control instead of the drop-down month calendar.

### Methods

Format(FORMAT)

  (preliminary) Sets the format for the DateTime control to the specified string. More info [TBD].

GetDate()

  (preliminary) Returns the date in the DateTime control in a three elements array (day, month, year).

GetDateTime()

  (preliminary) Returns the date and time in the DateTime control in a eight elements array (year, month, day, dayofweek, hour, minute, second, millisecond).

GetTime()

  (preliminary) Returns the time in the DateTime control in a four elements array (hour, min, sec, msec).

IsNone()

  (preliminary) Test if the DateTime control is None (control check box was

       not selected).

SetDate(DAY, MONTH, YEAR)

  (preliminary) Sets the date in the DateTime control in a three elements array (day, month, year).

SetDateTime(YEAR,MON, DAY, HOUR, MIN, SEC, [MSEC=0])

  (preliminary) Sets the date time in the DateTime control

SetNone(handle)

  (preliminary) Set none state in the DateTime control (control check box was

       selected)..

SetTime(HOUR, MIN, SEC, [MSEC=0])

  (preliminary) Sets the time in the DateTime control in a four elements array (hour, min, sec, [msec=0]).